// xpm_nmu_mm: NMU MM
// Xilinx Parameterized Macro, version 2024.2

xpm_nmu_mm #(
	.NOC_FABRIC("pl"),		// pl/pl_hbm
	.DATA_WIDTH(512),		// 32/64/128/256/512
	.ADDR_WIDTH(64),		// 12 to 64
	.ID_WIDTH(16),			// 1 to 16
	.AUSER_WIDTH(16),		// 16 for VNOC with parity disabled, 18 for VNOC with parity enabled
	.DUSER_WIDTH(1),		// 2*DATA_WIDTH/8 for parity enablement with VNOC, 1 for VNOC with parity disabled cases
	.ENABLE_USR_INTERRUPT("false"),	// false/true
	.SIDEBAND_PINS("false")		//false/true/addr/data
)
xpm_nmu_mm_inst (
			.s_axi_aclk(s_axi_aclk),
			.s_axi_awid(s_axi_awid),
			.s_axi_awaddr(s_axi_awaddr),
			.s_axi_awlen(s_axi_awlen),
			.s_axi_awsize(s_axi_awsize),
			.s_axi_awburst(s_axi_awburst),
			.s_axi_awlock(s_axi_awlock),
			.s_axi_awcache(s_axi_awcache),
			.s_axi_awprot(s_axi_awprot),
			.s_axi_awregion(s_axi_awregion),
			.s_axi_awqos(s_axi_awqos),
			.s_axi_awuser(s_axi_awuser),
			.s_axi_awvalid(s_axi_awvalid),
			.s_axi_awready(s_axi_awready),
			.s_axi_wid(s_axi_wid),
			.s_axi_wdata(s_axi_wdata),
			.s_axi_wstrb(s_axi_wstrb),
			.s_axi_wlast(s_axi_wlast),
			.s_axi_wuser(s_axi_wuser),
			.s_axi_wvalid(s_axi_wvalid),
			.s_axi_wready(s_axi_wready),
			.s_axi_bid(s_axi_bid),
			.s_axi_bresp(s_axi_bresp),
			.s_axi_buser(s_axi_buser),
			.s_axi_bvalid(s_axi_bvalid),
			.s_axi_bready(s_axi_bready),
			.s_axi_arid(s_axi_arid),
			.s_axi_araddr(s_axi_araddr),
			.s_axi_arlen(s_axi_arlen),
			.s_axi_arsize(s_axi_arsize),
			.s_axi_arburst(s_axi_arburst),
			.s_axi_arlock(s_axi_arlock),
			.s_axi_arcache(s_axi_arcache),
			.s_axi_arprot(s_axi_arprot),
			.s_axi_arregion(s_axi_arregion),
			.s_axi_arqos(s_axi_arqos),
			.s_axi_aruser(s_axi_aruser),
			.s_axi_arvalid(s_axi_arvalid),
			.s_axi_arready(s_axi_arready),
			.s_axi_rid(s_axi_rid),
			.s_axi_rdata(s_axi_rdata),
			.s_axi_rresp(s_axi_rresp),
			.s_axi_rlast(s_axi_rlast),
			.s_axi_ruser(s_axi_ruser),
			.s_axi_rvalid(s_axi_rvalid),
			.s_axi_rready(s_axi_rready),
			.nmu_usr_interrupt_in(nmu_usr_interrupt_in)
);

// End of xpm_nmu_mm_inst instantiation
