// xpm_nsu_mm: NSU MM
// Xilinx Parameterized Macro, version 2024.2


xpm_nsu_mm # (
	.NOC_FABRIC("pl"),		// pl
	.DATA_WIDTH(512),     		// 32/64/128/256/512
	.ADDR_WIDTH(64),      		// 12 to 64
	.ID_WIDTH(2),       		// always 2
	.AUSER_WIDTH(16), 		// 16 for VNOC with parity disabled, 18 for VNOC with parity enabled
	.DUSER_WIDTH(1),		// 2*DATA_WIDTH/8 for parity enablement with VNOC, 1 for VNOC with parity disabled cases
	.ENABLE_USR_INTERRUPT("false"), // false/true
	.SIDEBAND_PINS("false")		// false/true/addr/data
) xpm_nsu_mm_inst
 (
	.m_axi_aclk(m_axi_aclk),
	.m_axi_awid(m_axi_awid),
	.m_axi_awaddr(m_axi_awaddr),
	.m_axi_awlen(m_axi_awlen),
	.m_axi_awsize(m_axi_awsize),
	.m_axi_awburst(m_axi_awburst),
	.m_axi_awlock(m_axi_awlock),
	.m_axi_awcache(m_axi_awcache),
	.m_axi_awprot(m_axi_awprot),
	.m_axi_awregion(m_axi_awregion),
	.m_axi_awqos(m_axi_awqos),
	.m_axi_awuser(m_axi_awuser),
	.m_axi_awvalid(m_axi_awvalid),
	.m_axi_awready(m_axi_awready),
	.m_axi_wdata(m_axi_wdata),
	.m_axi_wstrb(m_axi_wstrb),
	.m_axi_wlast(m_axi_wlast),
	.m_axi_wuser(m_axi_wuser),
	.m_axi_wvalid(m_axi_wvalid),
	.m_axi_wready(m_axi_wready),
	.m_axi_bid(m_axi_bid),
	.m_axi_bresp(m_axi_bresp),
	.m_axi_buser(m_axi_buser), //supports only 16-bits transferred from NSU to NMU
	.m_axi_bvalid(m_axi_bvalid),
	.m_axi_bready(m_axi_bready),
	.m_axi_arid(m_axi_arid),
	.m_axi_araddr(m_axi_araddr),
	.m_axi_arlen(m_axi_arlen),
	.m_axi_arsize(m_axi_arsize),
	.m_axi_arburst(m_axi_arburst),
	.m_axi_arlock(m_axi_arlock),
	.m_axi_arcache(m_axi_arcache),
	.m_axi_arprot(m_axi_arprot),
	.m_axi_arregion(m_axi_arregion),
	.m_axi_arqos(m_axi_arqos),
	.m_axi_aruser(m_axi_aruser),
	.m_axi_arvalid(m_axi_arvalid),
	.m_axi_arready(m_axi_arready),
	.m_axi_rid(m_axi_rid),
	.m_axi_rdata(m_axi_rdata),
	.m_axi_rresp(m_axi_rresp),
	.m_axi_rlast(m_axi_rlast),
	.m_axi_ruser(m_axi_ruser),
	.m_axi_rvalid(m_axi_rvalid),
	.m_axi_rready(m_axi_rready),
	.m_axi_out(m_axi_out),
	.nsu_usr_interrupt_in(nsu_usr_interrupt_in)
);
// End of xpm_nsu_mm_inst instantiation
